public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2013-07-21 11:16 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2013-07-21 11:16 UTC (permalink / raw
  To: gentoo-commits

commit:     57fb677dd97d782792977160f66b4a9568757626
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 11:17:02 2013 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 11:17:02 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=57fb677d

dev-python/pypy-binpackage: Remove --thread and doc-build. Add ARCH to filename.

Package-Manager: portage-2.2.0_alpha188

---
 dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild | 15 ++-------------
 1 file changed, 2 insertions(+), 13 deletions(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
index e8fa0fc..40f0a66 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://bitbucket/pypy/pypy/downloads/${MY_P}-src.tar.bz2"
 LICENSE="MIT"
 SLOT=$(get_version_component_range 1-2 ${PV})
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="bzip2 doc +jit ncurses sandbox shadowstack ssl"
+IUSE="bzip2 +jit ncurses sandbox shadowstack ssl"
 
 DEPEND=">=sys-libs/zlib-1.1.3
 	virtual/libffi
@@ -61,7 +61,6 @@ src_compile() {
 		$(usex shadowstack --gcrootfinder=shadowstack '')
 		$(usex sandbox --sandbox '')
 
-		--thread
 		--make-jobs=$(makeopts_jobs)
 
 		pypy/goal/targetpypystandalone
@@ -87,13 +86,11 @@ src_compile() {
 	set -- "${PYTHON}" rpython/bin/rpython --batch "${args[@]}"
 	echo -e "\033[1m${@}\033[0m"
 	"${@}" || die "compile error"
-
-	use doc && emake -C pypy/doc/ html
 }
 
 src_install() {
 	local flags=( bzip2 jit ncurses sandbox shadowstack ssl )
-	local f suffix=''
+	local f suffix="-${ARCH}"
 
 	for f in ${flags[@]}; do
 		use ${f} && suffix+="+${f}"
@@ -109,14 +106,6 @@ src_install() {
 	tar -cf "${BIN_P}${suffix}.tar" "${BIN_P}${suffix}" || die
 	xz -vz9 "${BIN_P}${suffix}.tar" || die
 
-	if use doc; then
-		einfo "Zipping docs ..."
-		mv pypy/doc/_build/html/ ${BIN_P}-doc || die
-
-		tar -cf ${BIN_P}-doc.tar ${BIN_P}-doc || die
-		xz -vz9 ${BIN_P}-doc.tar || die
-	fi
-
 	insinto /tmp
 	doins *.tar.xz
 }


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2013-07-21 11:32 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2013-07-21 11:32 UTC (permalink / raw
  To: gentoo-commits

commit:     f428b8b16218ee40c93d53d603c56684c047ba34
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 11:32:25 2013 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 11:32:25 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=f428b8b1

dev-python/pypy-binpackage: Force PyPy, store CFLAGS in ebuild.

Package-Manager: portage-2.2.0_alpha188

---
 dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
index 40f0a66..4dcdd19 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
@@ -4,8 +4,9 @@
 
 EAPI=5
 
-# XXX: test other implementations
-PYTHON_COMPAT=( python2_7 pypy{1_8,1_9,2_0} )
+# pypy should be preferred, per upstream.
+# that's the easiest way of forcing it.
+PYTHON_COMPAT=( pypy{1_8,1_9,2_0} )
 inherit check-reqs eutils flag-o-matic multilib multiprocessing pax-utils python-any-r1 toolchain-funcs versionator
 
 MY_P=pypy-${PV}
@@ -43,6 +44,16 @@ pkg_pretend() {
 pkg_setup() {
 	pkg_pretend
 	python-any-r1_pkg_setup
+
+	local cpu
+	if use amd64 || use amd64-linux; then
+		cpu='athlon64'
+	else
+		die "Unsupported arch ${ARCH}"
+	fi
+
+	export CFLAGS="-march=${cpu} -O2 -pipe"
+	export CXXFLAGS=${CFLAGS}
 }
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2013-07-22  7:01 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2013-07-22  7:01 UTC (permalink / raw
  To: gentoo-commits

commit:     891d5dd86714e1c314088bc4c5497483ff454b94
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 21:25:12 2013 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 21:25:12 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=891d5dd8

dev-python/pypy-binpackage: Use explicit PYPY_BINPKG_STORE.

Package-Manager: portage-2.2.0_alpha188

---
 .../pypy-binpackage/pypy-binpackage-2.0.2.ebuild   | 26 +++++++++++++++-------
 1 file changed, 18 insertions(+), 8 deletions(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
index 4dcdd19..4cb0ff8 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
@@ -33,6 +33,13 @@ DEPEND=">=sys-libs/zlib-1.1.3
 S="${WORKDIR}/${MY_P}-src"
 
 pkg_pretend() {
+	if [[ ! ${PYPY_BINPKG_STORE} ]]; then
+		eerror "Please set PYPY_BINPKG_STORE to the location where built"
+		eerror "packages are to be stored."
+
+		die "Set PYPY_BINPKG_STORE."
+	fi
+
 	CHECKREQS_MEMORY="2G"
 	use amd64 && CHECKREQS_MEMORY="4G"
 	check-reqs_pkg_pretend
@@ -47,12 +54,15 @@ pkg_setup() {
 
 	local cpu
 	if use amd64 || use amd64-linux; then
-		cpu='athlon64'
+		cpu='x86-64'
+	elif use x86 || use x86-linux; then
+		# lowest with SSE2
+		cpu='pentium-m'
 	else
 		die "Unsupported arch ${ARCH}"
 	fi
 
-	export CFLAGS="-march=${cpu} -O2 -pipe"
+	export CFLAGS="-march=${cpu} -mtune=generic -O2 -pipe"
 	export CXXFLAGS=${CFLAGS}
 }
 
@@ -116,12 +126,12 @@ src_install() {
 
 	tar -cf "${BIN_P}${suffix}.tar" "${BIN_P}${suffix}" || die
 	xz -vz9 "${BIN_P}${suffix}.tar" || die
-
-	insinto /tmp
-	doins *.tar.xz
 }
 
-pkg_postinst() {
-	mkdir -p "${ROOT%/}"/home/mgorny/pypy-bin || die
-	mv "${ROOT%/}"/tmp/${BIN_P}*.tar.xz "${ROOT%/}"/home/mgorny/pypy-bin || die
+# Yup, very hacky.
+pkg_preinst() {
+	# integrity check.
+	[[ ${PYPY_BINPKG_STORE} ]] || die 'PYPY_BINPKG_STORE unset, wtf?!'
+	mkdir -p "${ROOT%/}${PYPY_BINPKG_STORE}" || die
+	mv "${ROOT%/}"/tmp/${BIN_P}*.tar.xz "${ROOT%/}${PYPY_BINPKG_STORE}" || die
 }


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2013-07-22  7:01 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2013-07-22  7:01 UTC (permalink / raw
  To: gentoo-commits

commit:     39b7e4f445aeeb27e2e765b615e4b4b4bb614fc4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 21:32:50 2013 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 21:56:57 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=39b7e4f4

dev-python/pypy-binpackage: Sync to dev-python/pypy changes, clean up CFLAGS.

Package-Manager: portage-2.2.0_alpha188

---
 .../pypy-binpackage/pypy-binpackage-1.9-r2.ebuild  | 175 +++++++++++++++++++++
 .../pypy-binpackage/pypy-binpackage-2.0.2.ebuild   |  48 ++++--
 2 files changed, 214 insertions(+), 9 deletions(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
new file mode 100644
index 0000000..178192c
--- /dev/null
+++ b/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
@@ -0,0 +1,175 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy/pypy-1.9-r2.ebuild,v 1.4 2013/02/17 22:45:18 floppym Exp $
+
+EAPI=5
+
+# pypy should be preferred, per upstream.
+# that's the easiest way of forcing it.
+PYTHON_COMPAT=( pypy{1_8,1_9,2_0} )
+inherit check-reqs eutils multilib multiprocessing python-any-r1 toolchain-funcs vcs-snapshot versionator
+
+MY_P=pypy-${PV}
+
+DESCRIPTION="A fast, compliant alternative implementation of the Python language"
+HOMEPAGE="http://pypy.org/"
+SRC_URI="https://bitbucket.org/pypy/pypy/get/release-${PV}.tar.bz2 -> ${MY_P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT=$(get_version_component_range 1-2 ${PV})
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 +jit ncurses sandbox shadowstack sse2"
+
+DEPEND=">=sys-libs/zlib-1.1.3
+	virtual/libffi
+	virtual/libintl
+	dev-libs/expat
+	dev-libs/openssl
+	bzip2? ( app-arch/bzip2 )
+	ncurses? ( sys-libs/ncurses )
+	app-arch/xz-utils
+	${PYTHON_DEPS}"
+
+pkg_pretend() {
+	if [[ ! ${PYPY_BINPKG_STORE} ]]; then
+		eerror "Please set PYPY_BINPKG_STORE to the location where built"
+		eerror "packages are to be stored."
+
+		die "Set PYPY_BINPKG_STORE."
+	fi
+
+	CHECKREQS_MEMORY="2G"
+	use amd64 && CHECKREQS_MEMORY="4G"
+	check-reqs_pkg_pretend
+}
+
+pkg_setup() {
+	pkg_pretend
+	python-any-r1_pkg_setup
+
+	local cpu
+	if use amd64; then
+		# common denominator between Intel & AMD
+		cpu='x86-64'
+	elif use x86; then
+		if use sse2; then
+			# lowest with SSE2
+			cpu='pentium-m'
+		else
+			# lowest with SSE, compat. with athlon-xp
+			# TODO: do we want to support something older?
+			cpu='pentium3'
+		fi
+	else
+		die "Unsupported arch ${ARCH}"
+	fi
+
+	export CFLAGS="-march=${cpu} -mtune=generic -O2 -pipe"
+	export CXXFLAGS=${CFLAGS}
+
+	elog "CFLAGS: ${CFLAGS}"
+}
+
+src_prepare() {
+	epatch "${FILESDIR}/${PV}-no-bytecode-4151f9c406b6.patch"
+	epatch "${FILESDIR}/${PV}-scripts-location.patch"
+	epatch "${FILESDIR}/${PV}-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
+	epatch "${FILESDIR}/${PV}-distutils-fix_handling_of_executables_and_flags.patch"
+	epatch "${FILESDIR}/${PV}-ssl-threads-1-34b3b5aac082.patch"
+	epatch "${FILESDIR}/${PV}-ssl-threads-2-25cd11066d95.patch"
+	epatch "${FILESDIR}/${PV}-get_python_lib_standard_lib-04ea518e5b71.patch"
+	epatch "${FILESDIR}/${PV}-more-ignored-ops-a9a8faa76bca.patch"
+	epatch "${FILESDIR}/${PV}-more-ignored-ops-146ddf82a279.patch"
+	epatch "${FILESDIR}/${PV}-pybuffer-release-double-decref-4ec2a5b49386.patch"
+	epatch "${FILESDIR}/${PV}-signal-a33052b17f4e.patch"
+	epatch "${FILESDIR}/${PV}-getargs-freelist-c26dc70ee340.patch"
+	epatch "${FILESDIR}/${PV}-ssl-errors-25d3418150d2.patch"
+
+	# The following is Gentoo-specific.
+	epatch "${FILESDIR}/${PV}-no-static-hack.patch"
+
+	epatch_user
+}
+
+src_compile() {
+	tc-export CC
+
+	local jit_backend
+	if use jit; then
+		jit_backend='--jit-backend='
+
+		# We only need the explicit sse2 switch for x86.
+		# On other arches we can rely on autodetection which uses
+		# compiler macros. Plus, --jit-backend= doesn't accept all
+		# the modern values...
+
+		if use x86; then
+			if use sse2; then
+				jit_backend+=x86
+			else
+				jit_backend+=x86-without-sse2
+			fi
+		else
+			jit_backend+=auto
+		fi
+	fi
+
+	local args=(
+		$(usex jit -Ojit -O2)
+		$(usex shadowstack --gcrootfinder=shadowstack '')
+		$(usex sandbox --sandbox '')
+
+		${jit_backend}
+		--make-jobs=$(makeopts_jobs)
+
+		./pypy/translator/goal/targetpypystandalone.py
+	)
+
+	# Avoid linking against libraries disabled by use flags
+	local opts=(
+		bzip2:bz2
+		ncurses:_minimal_curses
+	)
+
+	local opt
+	for opt in "${opts[@]}"; do
+		local flag=${opt%:*}
+		local mod=${opt#*:}
+
+		args+=(
+			$(usex ${flag} --withmod --withoutmod)-${mod}
+		)
+	done
+
+	set -- "${PYTHON}" ./pypy/translator/goal/translate.py --batch "${args[@]}"
+	echo -e "\033[1m${@}\033[0m"
+	"${@}" || die "compile error"
+}
+
+src_install() {
+	local flags=( bzip2 jit ncurses sandbox shadowstack )
+	use x86 && flags+=( sse2 )
+	local f suffix="-${ARCH}"
+
+	for f in ${flags[@]}; do
+		use ${f} && suffix+="+${f}"
+	done
+
+	local BIN_P=pypy-bin-${PV}
+
+	einfo "Zipping PyPy ..."
+	mkdir "${BIN_P}${suffix}" || die
+	mv pypy-c "${BIN_P}${suffix}"/ || die
+	chmod +x "${BIN_P}${suffix}"/pypy-c || die
+
+	tar -cf "${BIN_P}${suffix}.tar" "${BIN_P}${suffix}" || die
+	xz -vz9 "${BIN_P}${suffix}.tar" || die
+}
+
+# Yup, very hacky.
+pkg_preinst() {
+	# integrity check.
+	[[ ${PYPY_BINPKG_STORE} ]] || die 'PYPY_BINPKG_STORE unset, wtf?!'
+	mkdir -p "${ROOT%/}${PYPY_BINPKG_STORE}" || die
+	mv "${S}"/*.tar.xz "${ROOT%/}${PYPY_BINPKG_STORE}" || die
+}

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
index 4cb0ff8..4286827 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
@@ -18,15 +18,15 @@ SRC_URI="mirror://bitbucket/pypy/pypy/downloads/${MY_P}-src.tar.bz2"
 LICENSE="MIT"
 SLOT=$(get_version_component_range 1-2 ${PV})
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="bzip2 +jit ncurses sandbox shadowstack ssl"
+IUSE="bzip2 +jit ncurses sandbox shadowstack sse2"
 
 DEPEND=">=sys-libs/zlib-1.1.3
 	virtual/libffi
 	virtual/libintl
 	dev-libs/expat
+	dev-libs/openssl
 	bzip2? ( app-arch/bzip2 )
 	ncurses? ( sys-libs/ncurses )
-	ssl? ( dev-libs/openssl )
 	app-arch/xz-utils
 	${PYTHON_DEPS}"
 
@@ -53,17 +53,26 @@ pkg_setup() {
 	python-any-r1_pkg_setup
 
 	local cpu
-	if use amd64 || use amd64-linux; then
+	if use amd64; then
+		# common denominator between Intel & AMD
 		cpu='x86-64'
-	elif use x86 || use x86-linux; then
-		# lowest with SSE2
-		cpu='pentium-m'
+	elif use x86; then
+		if use sse2; then
+			# lowest with SSE2
+			cpu='pentium-m'
+		else
+			# lowest with SSE, compat. with athlon-xp
+			# TODO: do we want to support something older?
+			cpu='pentium3'
+		fi
 	else
 		die "Unsupported arch ${ARCH}"
 	fi
 
 	export CFLAGS="-march=${cpu} -mtune=generic -O2 -pipe"
 	export CXXFLAGS=${CFLAGS}
+
+	elog "CFLAGS: ${CFLAGS}"
 }
 
 src_prepare() {
@@ -77,11 +86,32 @@ src_prepare() {
 src_compile() {
 	tc-export CC
 
+	local jit_backend
+	if use jit; then
+		jit_backend='--jit-backend='
+
+		# We only need the explicit sse2 switch for x86.
+		# On other arches we can rely on autodetection which uses
+		# compiler macros. Plus, --jit-backend= doesn't accept all
+		# the modern values...
+
+		if use x86; then
+			if use sse2; then
+				jit_backend+=x86
+			else
+				jit_backend+=x86-without-sse2
+			fi
+		else
+			jit_backend+=auto
+		fi
+	fi
+
 	local args=(
 		$(usex jit -Ojit -O2)
 		$(usex shadowstack --gcrootfinder=shadowstack '')
 		$(usex sandbox --sandbox '')
 
+		${jit_backend}
 		--make-jobs=$(makeopts_jobs)
 
 		pypy/goal/targetpypystandalone
@@ -91,7 +121,6 @@ src_compile() {
 	local opts=(
 		bzip2:bz2
 		ncurses:_minimal_curses
-		ssl:_ssl
 	)
 
 	local opt
@@ -110,7 +139,8 @@ src_compile() {
 }
 
 src_install() {
-	local flags=( bzip2 jit ncurses sandbox shadowstack ssl )
+	local flags=( bzip2 jit ncurses sandbox shadowstack )
+	use x86 && flags+=( sse2 )
 	local f suffix="-${ARCH}"
 
 	for f in ${flags[@]}; do
@@ -133,5 +163,5 @@ pkg_preinst() {
 	# integrity check.
 	[[ ${PYPY_BINPKG_STORE} ]] || die 'PYPY_BINPKG_STORE unset, wtf?!'
 	mkdir -p "${ROOT%/}${PYPY_BINPKG_STORE}" || die
-	mv "${ROOT%/}"/tmp/${BIN_P}*.tar.xz "${ROOT%/}${PYPY_BINPKG_STORE}" || die
+	mv "${S}"/*.tar.xz "${ROOT%/}${PYPY_BINPKG_STORE}" || die
 }


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2013-07-22  7:01 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2013-07-22  7:01 UTC (permalink / raw
  To: gentoo-commits

commit:     235c7ebe9dfb37943be69e7248af0c59254872d4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 22 06:58:48 2013 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 22 06:58:48 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=235c7ebe

dev-python/pypy-binpackage: Include generated headers in binpackage.

Package-Manager: portage-2.2.0_alpha188

---
 dev-python/pypy-binpackage/Manifest                      | 1 +
 dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild | 3 ++-
 dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild  | 3 ++-
 3 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/dev-python/pypy-binpackage/Manifest b/dev-python/pypy-binpackage/Manifest
index 51e4906..8c45eb7 100644
--- a/dev-python/pypy-binpackage/Manifest
+++ b/dev-python/pypy-binpackage/Manifest
@@ -1 +1,2 @@
+DIST pypy-1.9.tar.bz2 13466551 SHA256 9fd599acade49ef98017bbce4f179f19cf2680489ff15235d3bad5b20bde0d68 SHA512 1e02f1f1ac493be35272212f2be62db17a01a95c56ffbd8c00a043587e38131e779928fef1383c61575ecb48bf4dc407b62726d30d5b5728221a612fe67ec8c3 WHIRLPOOL 5b601f31f695623c2e5f6d48ae902e07c5cdccafe415ae89878e5cf71408b31fc44fb1c173a93e66d81188503651000de219533e69071495b87d80a8d217274f
 DIST pypy-2.0.2-src.tar.bz2 14819848 SHA256 1991c90d6b98e2408b3790d4b57b71ec1c69346328b8321505ce8f6ab4544c3c SHA512 5b8b56194dff468dd249dea0014fadafb791eb69858ffae0b9c7638f087df277a84ddadc7d5b0fdb48a12ca8e6b70eb95cb5b7a5f56fe8fe3396820b814ecfd7 WHIRLPOOL bb1f71e0b2d3e145edcb1baa17b0a13c09f5229cf1b0532edbb3d0d5c87ef39543c0ef6b9dc7ce2778c4a3336d4a1580fce9cf960f82b72ddfed02e06d10d8af

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
index 178192c..c21813b 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
@@ -158,8 +158,9 @@ src_install() {
 	local BIN_P=pypy-bin-${PV}
 
 	einfo "Zipping PyPy ..."
-	mkdir "${BIN_P}${suffix}" || die
+	mkdir "${BIN_P}${suffix}"{,/include} || die
 	mv pypy-c "${BIN_P}${suffix}"/ || die
+	mv include/pypy_* "${BIN_P}${suffix}"/include/ || die
 	chmod +x "${BIN_P}${suffix}"/pypy-c || die
 
 	tar -cf "${BIN_P}${suffix}.tar" "${BIN_P}${suffix}" || die

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
index 4286827..0ceb9ec 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.0.2.ebuild
@@ -150,8 +150,9 @@ src_install() {
 	local BIN_P=pypy-bin-${PV}
 
 	einfo "Zipping PyPy ..."
-	mkdir "${BIN_P}${suffix}" || die
+	mkdir "${BIN_P}${suffix}"{,/include} || die
 	mv pypy-c "${BIN_P}${suffix}"/ || die
+	mv include/pypy_* "${BIN_P}${suffix}"/include/ || die
 	chmod +x "${BIN_P}${suffix}"/pypy-c || die
 
 	tar -cf "${BIN_P}${suffix}.tar" "${BIN_P}${suffix}" || die


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2013-07-24 20:41 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2013-07-24 20:41 UTC (permalink / raw
  To: gentoo-commits

commit:     447fe889a84718af0c578463f36b3a8e9e772608
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 24 20:41:22 2013 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul 24 20:41:22 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=447fe889

dev-python/pypy-binpackage: Fix S.

Package-Manager: portage-2.2.0_alpha188

---
 dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
index c21813b..252e9c1 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-1.9-r2.ebuild
@@ -30,6 +30,8 @@ DEPEND=">=sys-libs/zlib-1.1.3
 	app-arch/xz-utils
 	${PYTHON_DEPS}"
 
+S=${WORKDIR}/pypy-${PV}
+
 pkg_pretend() {
 	if [[ ! ${PYPY_BINPKG_STORE} ]]; then
 		eerror "Please set PYPY_BINPKG_STORE to the location where built"


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2014-06-30  8:46 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2014-06-30  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     ea4df3e27100b2454128948eb1df2bfb9d8fba3c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 30 08:40:58 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 30 08:40:58 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=ea4df3e2

dev-python/pypy-binpackage: kill needless USE=sqlite.

---
 dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
index 833c324..6394842 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://bitbucket.org/${PN}/${PN}/get/release-${PV}.tar.bz2 -> ${MY_P}-
 LICENSE="MIT"
 SLOT="0/$(get_version_component_range 1-2 ${PV})"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="bzip2 +jit ncurses sandbox shadowstack sqlite sse2"
+IUSE="bzip2 +jit ncurses sandbox shadowstack sse2"
 
 DEPEND=">=sys-libs/zlib-1.1.3
 	virtual/libffi


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2014-06-30  8:46 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2014-06-30  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     fe10d59685529778f5fb63b7563749faa5adf2fd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 30 08:46:25 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 30 08:46:25 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=fe10d596

Require ncurses[-tinfo] to avoid screwups.

---
 dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
index 6394842..92ea18e 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
@@ -24,7 +24,7 @@ DEPEND=">=sys-libs/zlib-1.1.3
 	dev-libs/expat
 	dev-libs/openssl
 	bzip2? ( app-arch/bzip2 )
-	ncurses? ( sys-libs/ncurses )
+	ncurses? ( sys-libs/ncurses[-tinfo] )
 	app-arch/xz-utils
 	${PYTHON_DEPS}"
 


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2014-07-03  6:43 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2014-07-03  6:43 UTC (permalink / raw
  To: gentoo-commits

commit:     fa6d8401038aad75855bcdb2c1e26effc99a372b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  3 06:43:25 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul  3 06:43:25 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=fa6d8401

Use vcs-snapshot.eclass, update PYTHON_COMPAT.

---
 dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
index 92ea18e..fb30bcf 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1.ebuild
@@ -4,9 +4,9 @@
 
 EAPI=5
 
-PYTHON_COMPAT=( python2_7 pypy2_0 )
+PYTHON_COMPAT=( python2_7 pypy )
 inherit check-reqs eutils multilib multiprocessing pax-utils \
-	python-any-r1 toolchain-funcs versionator
+	python-any-r1 toolchain-funcs vcs-snapshot versionator
 MY_P=pypy-${PV}
 
 DESCRIPTION="A fast, compliant alternative implementation of the Python language"


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2014-11-05 22:20 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2014-11-05 22:20 UTC (permalink / raw
  To: gentoo-commits

commit:     cb3b31ceb00e89d02582c290f7e3a6499fd8de14
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  5 22:18:58 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov  5 22:18:58 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=cb3b31ce

dev-python/pypy-binpackage: Bump for 2.4.0.

Package-Manager: portage-2.2.14

---
 dev-python/pypy-binpackage/Manifest                |   1 +
 .../pypy-binpackage/pypy-binpackage-2.4.0.ebuild   | 211 +++++++++++++++++++++
 2 files changed, 212 insertions(+)

diff --git a/dev-python/pypy-binpackage/Manifest b/dev-python/pypy-binpackage/Manifest
index 4bea985..09546e3 100644
--- a/dev-python/pypy-binpackage/Manifest
+++ b/dev-python/pypy-binpackage/Manifest
@@ -1,2 +1,3 @@
 DIST pypy-2.2.1-src.tar.bz2 14439822 SHA256 252045187e443656a2beb412dadac9296e8fe8db0f75a66ed5265db58c35035f SHA512 68b52c5b1a9b96593aa1dd38ad0b1b7b282852008e3ae3c488a5e19ab2bede68e2b40afdb79d85a4ab21cb1da6647b8b958fcefe34c99a1f6cbc1a19d695d3b6 WHIRLPOOL 6eca63959d8ee5663f868daaaac32ad1180b07e2f8b63d839652902095a098ffbfa29c6f83451733270a4b2f73b65450cb3b80a878b9dd1ec71089bfff11e9f6
 DIST pypy-2.3.1-src.tar.bz2 15225332 SHA256 3fd10d97c0177c33ed358a78eb26f5bf1f91b266af853564b1a9d8c310a1e439 SHA512 86aab86c5f413cdd6a56680915605de5c1416255b43a8dce1b4dcf8f1febdb3275076a4a9c7de30002387d59e4171a52da2528436eb205d8d947de7edd049c65 WHIRLPOOL c78d41240f1803d9461f797fd0ef647a40a6990a4e3a504e80a0eaaf460d052bb60fe6240cacdb3ee8737500c9c7f418b1d55c619d01ac7b73aace3d82157aa6
+DIST pypy-2.4.0-src.tar.bz2 15495214 SHA256 38810007aee4885ca0703b566db6594dd7649adaaa287df7a1012f10e067740f SHA512 91b41ed80a6ff0d7b2b134a7802f098de35ffd2068dc3e477d27b0bc821c6d329eb8bcad4db4a5ff9ff429830d4abfbeb435a2a2d2d9bbc2c36f2d21af0b2e0c WHIRLPOOL affb14b805b2dcb8b579dd421bfb8276e80d3b31cea41bf57ad5dd9260e2e27d838b0303e4a3af5ca38b0b4f08ac88b142d6f1db20753bec6f8cbfdfc482099b

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild
new file mode 100644
index 0000000..eee63a3
--- /dev/null
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild
@@ -0,0 +1,211 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy/pypy-2.2.1.ebuild,v 1.2 2014/03/12 09:14:21 mgorny Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 pypy )
+inherit check-reqs eutils multilib multiprocessing pax-utils \
+	python-any-r1 toolchain-funcs versionator
+MY_P=pypy-${PV}
+
+DESCRIPTION="A fast, compliant alternative implementation of the Python language"
+HOMEPAGE="http://pypy.org/"
+SRC_URI="https://bitbucket.org/pypy/pypy/downloads/${MY_P}-src.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0/$(get_version_component_range 1-2 ${PV})"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 +jit low-memory ncurses sandbox shadowstack sse2"
+
+DEPEND=">=sys-libs/zlib-1.1.3
+	virtual/libffi
+	virtual/libintl
+	dev-libs/expat
+	dev-libs/openssl
+	bzip2? ( app-arch/bzip2 )
+	ncurses? ( sys-libs/ncurses[-tinfo] )
+	app-arch/xz-utils
+	${PYTHON_DEPS}"
+
+S="${WORKDIR}/${MY_P}-src"
+
+pkg_pretend() {
+	if use low-memory; then
+		if ! has_version dev-python/pypy && ! has_version dev-python/pypy-bin
+		then
+			eerror "USE=low-memory requires a (possibly old) version of dev-python/pypy"
+			eerror "or dev-python/pypy-bin being installed. Please install it using e.g.:"
+			eerror
+			eerror "  $ emerge -1v dev-python/pypy-bin"
+			eerror
+			eerror "before attempting to build dev-python/pypy[low-memory]."
+			die "dev-python/pypy-bin (or dev-python/pypy) needs to be installed for USE=low-memory"
+		fi
+
+		CHECKREQS_MEMORY="1750M"
+		use amd64 && CHECKREQS_MEMORY="3500M"
+	else
+		CHECKREQS_MEMORY="3G"
+		use amd64 && CHECKREQS_MEMORY="6G"
+	fi
+
+	check-reqs_pkg_pretend
+
+	[[ ${PYPY_BINPKG_STORE} ]] || die 'PYPY_BINPKG_STORE unset, wtf?!'
+}
+
+pkg_setup() {
+	local force_pypy
+
+	pkg_pretend
+
+	if has_version dev-python/pypy || has_version dev-python/pypy-bin
+	then
+		if [[ ! ${EPYTHON} ]] || use low-memory; then
+			einfo "Using already-installed PyPy to perform the translation."
+			force_pypy=1
+		else
+			einfo "Using ${EPYTHON} to perform the translation. Please note that upstream"
+			einfo "recommends using PyPy for that. If you wish to do so, please unset"
+			einfo "the EPYTHON variable."
+		fi
+	fi
+
+	if [[ ${force_pypy} ]]; then
+		# set manually since python_setup needs virtual/pypy
+		# and we don't force the dep
+		python_export pypy EPYTHON PYTHON
+		python_wrapper_setup
+	else
+		python-any-r1_pkg_setup
+	fi
+
+	local cpu
+	if use amd64; then
+		# common denominator between Intel & AMD
+		cpu='x86-64'
+	elif use x86; then
+		if use sse2; then
+			# lowest with SSE2
+			cpu='pentium-m'
+		else
+			# lowest with SSE, compat. with athlon-xp
+			# TODO: do we want to support something older?
+			cpu='pentium3'
+		fi
+	else
+		die "Unsupported arch ${ARCH}"
+	fi
+
+	export CFLAGS="-march=${cpu} -mtune=generic -O2 -pipe"
+	export CXXFLAGS=${CFLAGS}
+
+	elog "CFLAGS: ${CFLAGS}"
+}
+
+src_prepare() {
+	epatch "${FILESDIR}/1.9-scripts-location.patch" \
+		"${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch" \
+		"${FILESDIR}"/2.3.1-shared-lib.patch	# 517002
+
+	pushd lib-python/2.7 > /dev/null || die
+	epatch "${FILESDIR}/2.3-21_all_distutils_c++.patch"
+	popd > /dev/null || die
+
+	epatch_user
+}
+
+src_compile() {
+	tc-export CC
+
+	local jit_backend
+	if use jit; then
+		jit_backend='--jit-backend='
+
+		# We only need the explicit sse2 switch for x86.
+		# On other arches we can rely on autodetection which uses
+		# compiler macros. Plus, --jit-backend= doesn't accept all
+		# the modern values...
+
+		if use x86; then
+			if use sse2; then
+				jit_backend+=x86
+			else
+				jit_backend+=x86-without-sse2
+			fi
+		else
+			jit_backend+=auto
+		fi
+	fi
+
+	local args=(
+		--shared
+		$(usex jit -Ojit -O2)
+		$(usex shadowstack --gcrootfinder=shadowstack '')
+		$(usex sandbox --sandbox '')
+
+		${jit_backend}
+		--make-jobs=$(makeopts_jobs)
+
+		pypy/goal/targetpypystandalone
+	)
+
+	# Avoid linking against libraries disabled by use flags
+	local opts=(
+		bzip2:bz2
+		ncurses:_minimal_curses
+	)
+
+	local opt
+	for opt in "${opts[@]}"; do
+		local flag=${opt%:*}
+		local mod=${opt#*:}
+
+		args+=(
+			$(usex ${flag} --withmod --withoutmod)-${mod}
+		)
+	done
+
+	local interp=( "${PYTHON}" )
+	if use low-memory; then
+		interp=( env PYPY_GC_MAX_DELTA=200MB
+			"${PYTHON}" --jit loop_longevity=300 )
+	fi
+
+	set -- "${interp[@]}" rpython/bin/rpython --batch "${args[@]}"
+	echo -e "\033[1m${@}\033[0m"
+	"${@}" || die "compile error"
+
+	use doc && emake -C pypy/doc/ html
+	pax-mark m "${ED%/}${INSDESTTREE}/pypy-c"
+}
+
+src_install() {
+	local flags=( bzip2 jit ncurses sandbox shadowstack )
+	use x86 && flags+=( sse2 )
+	local f suffix="-${ARCH}"
+
+	for f in ${flags[@]}; do
+		use ${f} && suffix+="+${f}"
+	done
+
+	local BIN_P=pypy-bin-${PV}
+
+	einfo "Zipping PyPy ..."
+	mkdir "${BIN_P}${suffix}"{,/include} || die
+	mv pypy-c libpypy-c.so "${BIN_P}${suffix}"/ || die
+	mv include/pypy_* "${BIN_P}${suffix}"/include/ || die
+	chmod +x "${BIN_P}${suffix}"/pypy-c || die
+
+	tar -cf "${BIN_P}${suffix}.tar" "${BIN_P}${suffix}" || die
+	xz -vz9e "${BIN_P}${suffix}.tar" || die
+}
+
+# Yup, very hacky.
+pkg_preinst() {
+	# integrity check.
+	[[ ${PYPY_BINPKG_STORE} ]] || die 'PYPY_BINPKG_STORE unset, wtf?!'
+	mkdir -p "${ROOT%/}${PYPY_BINPKG_STORE}" || die
+	mv "${S}"/*.tar.xz "${ROOT%/}${PYPY_BINPKG_STORE}" || die
+}


^ permalink raw reply related	[flat|nested] 11+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/
@ 2014-11-05 23:12 Michał Górny
  0 siblings, 0 replies; 11+ messages in thread
From: Michał Górny @ 2014-11-05 23:12 UTC (permalink / raw
  To: gentoo-commits

commit:     65a3f17eeab080c11439f758dce6a14e811368fc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  5 23:10:16 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov  5 23:10:16 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=65a3f17e

dev-python/pypy-binpackage: Remove mistakenly added "use doc" code.

Package-Manager: portage-2.2.14

---
 dev-python/pypy-binpackage/pypy-binpackage-2.3.1-r1.ebuild | 1 -
 dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild    | 1 -
 2 files changed, 2 deletions(-)

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1-r1.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1-r1.ebuild
index e495b29..10b34ac 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.3.1-r1.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.3.1-r1.ebuild
@@ -177,7 +177,6 @@ src_compile() {
 	echo -e "\033[1m${@}\033[0m"
 	"${@}" || die "compile error"
 
-	use doc && emake -C pypy/doc/ html
 	pax-mark m "${ED%/}${INSDESTTREE}/pypy-c"
 }
 

diff --git a/dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild b/dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild
index eee63a3..b3c58b5 100644
--- a/dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild
+++ b/dev-python/pypy-binpackage/pypy-binpackage-2.4.0.ebuild
@@ -177,7 +177,6 @@ src_compile() {
 	echo -e "\033[1m${@}\033[0m"
 	"${@}" || die "compile error"
 
-	use doc && emake -C pypy/doc/ html
 	pax-mark m "${ED%/}${INSDESTTREE}/pypy-c"
 }
 


^ permalink raw reply related	[flat|nested] 11+ messages in thread

end of thread, other threads:[~2014-11-05 23:12 UTC | newest]

Thread overview: 11+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-07-21 11:16 [gentoo-commits] dev/mgorny:master commit in: dev-python/pypy-binpackage/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2013-07-21 11:32 Michał Górny
2013-07-22  7:01 Michał Górny
2013-07-22  7:01 Michał Górny
2013-07-22  7:01 Michał Górny
2013-07-24 20:41 Michał Górny
2014-06-30  8:46 Michał Górny
2014-06-30  8:46 Michał Górny
2014-07-03  6:43 Michał Górny
2014-11-05 22:20 Michał Górny
2014-11-05 23:12 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox